MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005316ATutorExport Contentpublic2013-08-30 15:052013-12-28 12:49
Reportergreg 
Assigned Togreg 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.2Fixed in Version2.2 
Summary0005316: Export to AContent Fails
DescriptionExporting content from ATutor as a CC to AContent fails.

ERROR:
AContent lesson import failed at:
No response from AContent. It might because the course is too big to be auto-imported into AContent, or unknown problems occurred. Please download the ATutor package and manually import into AContent.

Export as a downloadable CC, then import that into AContent works fine.
TagsNo tags attached.
Affects versionSVN
SVN Revision#d0f2a92..f8b795e master -> master
Attached Files

- Relationships

-  Notes
(0006484)
greg (administrator)
2013-08-30 15:46

See line 160 in imscc/ims_export.php fails on $contentManager->isReleased

[30-Aug-2013 20:56:01 Europe/Berlin] PHP Notice: Undefined index: now_timestamp in /Applications/MAMP/htdocs/acontentgit/include/classes/DAO/OAuthServerTokensDAO.class.php on line 210
[30-Aug-2013 20:56:01 Europe/Berlin] PHP Notice: Undefined index: expire_timestamp in /Applications/MAMP/htdocs/acontentgit/include/classes/DAO/OAuthServerTokensDAO.class.php on line 210
[30-Aug-2013 20:56:01 Europe/Berlin] PHP Notice: Undefined index: HTTP_USER_AGENT in /Applications/MAMP/htdocs/atutorgit/include/vitals.inc.php on line 30
[30-Aug-2013 20:56:01 Europe/Berlin] PHP Fatal error: Call to a member function isReleased() on a non-object in /Applications/MAMP/htdocs/atutorgit/mods/_core/imscc/ims_export.php on line 166
(0006543)
greg (administrator)
2013-12-09 17:33

added new instance of ContentManager object to provide missing $contentManager->isReleased() function
(0006618)
greg (administrator)
2013-12-28 12:49

closed for ATutor 2.2

- Issue History
Date Modified Username Field Change
2013-08-30 15:05 greg New Issue
2013-08-30 15:46 greg Note Added: 0006484
2013-12-09 17:33 greg SVN Revision# => d0f2a92..f8b795e master -> master
2013-12-09 17:33 greg Note Added: 0006543
2013-12-09 17:33 greg Status new => resolved
2013-12-09 17:33 greg Fixed in Version => 2.2
2013-12-09 17:33 greg Resolution open => fixed
2013-12-09 17:33 greg Assigned To => greg
2013-12-28 12:49 greg Note Added: 0006618
2013-12-28 12:49 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker